Package org.springframework.cloud.task.batch.autoconfigure

# Class SingleStepJobProperties

java.lang.Object
org.springframework.cloud.task.batch.autoconfigure.SingleStepJobProperties

@ConfigurationProperties(prefix="spring.batch.job") public class SingleStepJobProperties extends Object
Properties to configure the step and job level properties for a single step job.

Since:
  2.3
Author:
  Michael Minella

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleStepJobProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getChunkSize()`
  The number of items to process per transaction/chunk.
  `String`
  `getJobName()`
  The name of the job.
  `String`
  `getStepName()`
  Name of the step in the single step job.
  `void`
  `setChunkSize(Integer chunkSize)`
  Set the number of items within a transaction/chunk.
  `void`
  `setJobName(String jobName)`
  Set the name of the job.
  `void`
  `setStepName(String stepName)`
  Set the name of the step.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SingleStepJobProperties

    public SingleStepJobProperties()

- ## Method Details

  - ### getStepName

    public String getStepName()
    Name of the step in the single step job.
    Returns:
      name

  - ### setStepName

    public void setStepName(String stepName)
    Set the name of the step.
    Parameters:
      `stepName` - name

  - ### getChunkSize

    public Integer getChunkSize()
    The number of items to process per transaction/chunk.
    Returns:
      number of items

  - ### setChunkSize

    public void setChunkSize(Integer chunkSize)
    Set the number of items within a transaction/chunk.
    Parameters:
      `chunkSize` - number of items

  - ### getJobName

    public String getJobName()
    The name of the job.
    Returns:
      name

  - ### setJobName

    public void setJobName(String jobName)
    Set the name of the job.
    Parameters:
      `jobName` - name